If you can't install Final Cut Pro X, Motion, or Compressor on macOS Mojave

Update to macOS Mojave version 10.14.6 or macOS Catalina version 10.15.6 to install the latest version of Final Cut Pro X, Motion, or Compressor.

To install Final Cut Pro 10.4.9, Motion 5.4.6, or Compressor 4.4.7, make sure your Mac is using macOS Mojave 10.4.6 or macOS Catalina 10.15.6 or later. To download macOS software updates, choose Apple menu  > System Preferences, then click Software Update.

Published Date: